{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Search and filter admin activity logs using a POST request with event type filter in the request body. You can find more details about the available event types in the List all activity log event types endpoint.\n\nResults are paginated by page number. Use `page` and `per_page` in the request body to choose a page. The `next` link in the response is a URL that keeps the query string of the request URL and sets `page` and `per_page` for the next page. It does not include the filters from your request body. To fetch the next page, send a POST request with the same request body to that URL. Query parameters in the `next` URL take precedence over `page` and `per_page` in the body.\n\nRequires the `read_admins` OAuth scope.\n","properties":{"headers":{"type":"object","properties":{"Intercom-Version":{"$ref":"#/definitions/intercom_version","enum":["2.17"]}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"created_at_after":{"type":"integer","format":"date-time","description":"The start date that you request data for. It must be formatted as a UNIX timestamp. If you leave it out, it defaults to 30 days before the request.","examples":[1677253093]},"created_at_before":{"type":"integer","format":"date-time","description":"The end date that you request data for. It must be formatted as a UNIX timestamp. If you leave it out, it defaults to the time of the request.","examples":[1677861493]},"event_types":{"type":"array","description":"An optional list of event types to filter activity logs by. Use the list all activity log event types endpoint to retrieve available values.","items":{"type":"string"},"examples":[["app_name_change","message_state_change"]]},"page":{"type":"integer","description":"The page number of results to return.","default":1,"examples":[1]},"per_page":{"type":"integer","description":"The number of results per page. Must be between 1 and 250.","default":20,"minimum":1,"maximum":250,"examples":[20]}},"examples":[{"created_at_after":1677253093,"created_at_before":1677861493,"event_types":["app_name_change","message_state_change"]}]}},"required":["body"],"additionalProperties":false,"definitions":{"intercom_version":{"description":"Intercom API version.</br>If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.","type":"string","enum":["1.0","1.1","1.2","1.3","1.4","2.0","2.1","2.2","2.3","2.4","2.5","2.6","2.7","2.8","2.9","2.10","2.11","2.12","2.13","2.14","2.15","2.16","2.17"],"examples":["2.17"]}}},"name":"Search activity logs","id":"intercom.searchactivitylogs","example":{"body":{"created_at_after":1677253093,"created_at_before":1677861493,"event_types":["app_name_change","message_state_change"]}},"maxRequests":1,"summary":false}}